Package org.springframework.security.web.webauthn.api

# Interface AuthenticationExtensionsClientOutput<T>

Type Parameters:
  `T` -

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `CredentialPropertiesOutput`

public interface AuthenticationExtensionsClientOutput<T> extends Serializable
A client extension output entry in `AuthenticationExtensionsClientOutputs`.

See Also:
  - `AuthenticationExtensionsClientOutputs.getOutputs()`
  - `CredentialPropertiesOutput`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtensionId()`
Gets the extension identifier.
`T`
`getOutput()`
The client extension output.

## Method Details

### getExtensionId

String getExtensionId()
Gets the extension identifier.

Returns:
  the extension identifier.

### getOutput

T getOutput()
The client extension output.

Returns:
  the client extension output.